gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

This class is the main entry point for libgda cliente applications. It provides the way by which client applications open connections.

Also provides a way to treat several connections as if they were only one (a connection pool), which allows applications to, for instance, commit / rollback a transaction in all the connections being managed by a unique Gda.Client object, or obtain the list of all tables in all opened connections.

To be added GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  Gda.Connection `` `` `` ``

  Establishes a connection to a data source. The connection will be opened if no identical connection is available in the Gda.Client connection pool, and re-used if available.

  a a a a a To be added
- Method
  System.Boolean ``

  Starts a transaction on all connections being managed by the given Gda.Client.

  a a

  It is important to note that this operates on all connections opened within a Gda.Client, which could not be what you're looking for. To execute a transaction on a unique connection, there are other methods.

- Method
  System.Void `` ``

  Notifies the given GdaClient of the Gda.Client.EventTransactionCommited event.

  a a To be added
- Method
  System.Void `` ``

  Notifies the given GdaClient of the Gda.Client.EventTransactionCancelled event.

  a a To be added
- Method
  System.Void `` ``

  Notifies the given Gda.Client of the Gda.ClientEventError event.

  a a To be added
- Method
  System.Boolean ``

  Commits a running transaction on all connections being managed by the given Gda.Client.

  a a

  It is important to note that this operates on all connections opened within a Gda.Client, which could not be what you're looking for. To execute a transaction on a unique connection, there are other methods.

- Method
  Gda.Connection `` `` ``

  Looks for an open connection given a data source name (per libgda configuration), a username and a password.

  a a a a

  This function iterates over the list of open connections in the given Gda.Client object and looks for one that matches the given data source name, username and password.

- Method
  System.Boolean ``

  Cancels a running transaction on all connections being managed by the given Gda.Client.

  a a

  It is important to note that this operates on all connections opened within a Gda.Client, which could not be what you're looking for. To execute a transaction on a unique connection, there are other methods.

- Method
  System.Void `` Notifies the given GdaClient of the Gda.Client.EventConnectionOpened event. a To be added
- Method
  Gda.Connection `` `` ``

  Opens a connection given a provider ID and a connection string. This allows applications to open connections without having to create a data source in the configuration.

  a a a a

  The format of cnc_string is similar to PostgreSQL and MySQL connection strings. It is a ;-separated series of key=value pairs. Do not add extra whitespace after the ; separator. The possible keys depend on the provider, but these keys should work with all providers: USER, PASSWORD, HOST, DATABASE, PORT

- Method
  System.Void `` ``

  Notifies the given Gda.Client of the Gda.Client.EventTransactionStarted event.

  a a To be added
- Method
  System.Void

  Closes all connections opened by the given Gda.Client object.

  To be added
- Method
  System.Void `` `` ``

  Notifies an event to the given Gda.Client's listeners. The event can be anything (see Gda.ClientEvent) ranging from a connection opening operation, to changes made to a table in an underlying database.

  a where the event has ocurred. a a To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  Default constructor for Gda.Client.
  a
  To be added
- Property
  GLib.List

  Gets the list of all open connections in the given Gda.Client object.

  a To be added
- Event
  Gda.EventNotificationHandler To be added To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` `` Default handler for the event. a a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.